EDIT - bug #9168

NameFeature selection in preferences are not shown

07/29/2020 03:07 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal Found in Version:

Description

The preference of the selected name features are not shown in the preference page, this is because the checkedElements are

termDtos and the elements of the tree are featureDtos.

Another issue:

After changing the name feature preferences, already open factual data views are not updated and the newly created facts are not

displayed.

Associated revisions

Revision 1e1ccbfc - 07/29/2020 03:12 PM - Katja Luther

fix #9168: checkedElements should be of type FeatureDto, after changing pref, preferredNameFeatureTree should be reseted

Revision dd8700eb - 07/29/2020 04:21 PM - Katja Luther

fix #9168: after changing preference preferredFeatureTree should be updated - continue

Revision 0881e734 - 07/29/2020 04:36 PM - Katja Luther
fix #9168: code cleaning

Revision 1546bd75 - 08/12/2020 02:40 PM - Katja Luther

smaller changes for feature tree handling in factual data view

History

#1 - 07/29/2020 03:08 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1e1ccbfcfc9f8d45eb9f30fc08ad7eee51ce7282.

#2 - 07/29/2020 04:28 PM - Katja Luther

- Description updated

- Status changed from Resolved to New

- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 0

Both issues are solved, please review

#3 - 07/29/2020 04:32 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|0881e7341dea9cd5127bccae6473439442ac8814.

#4 - 08/12/2020 03:53 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/1e1ccbfcfc9f8d45eb9f30fc08ad7eee51ce7282
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/0881e7341dea9cd5127bccae6473439442ac8814

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- Priority changed from New to Highest

when adding a new name fact (after changing the preferences) | got:

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/term.service
last remote request client time : 2020-08-12T15:48:23.165
last remote request response header time : Wed, 12 Aug 2020 15:48:23 GMT
client error time : 2020-08-12T15:48:23.447
login : admin
editor version : 5.17.0.202008121156
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.15.2.0.20200611
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.swt.SWIException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4d4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.view.descriptive.ed4.FactualDataPartE4.changed (FactualDataPartE4. java:211)

at eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4.postOperation (AbstractCdmEditorPartE4. java:355)

at eu.etaxonomy.taxeditor.operation.AbstractPostOperation.postExecute (AbstractPostOperation. java:77)

at eu.etaxonomy.taxeditor.editor.view.descriptive.operation.CreateDescriptionElementOperation.execute (Crea
teDescriptionElementOperation. java:122)

at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$3 (AbstractUtility.java:148)

at org.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener. java:162)

at org.eclipse.ui.internal.UISynchronizer$3.run(UISynchronizer. java:154)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

23 more

#5 - 08/12/2020 03:58 PM - Andreas Miuller

The new code (even the 'cleaned code') contains a lot of commented code. Can we remove this code (or leave a note why this commented code
should be kept)?

#6 - 08/14/2020 10:03 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this should be fixed with the last commit, could not reproduce it anymore in nightly.

#7 - 08/14/2020 12:46 PM - Andreas Miiller

- Status changed from Resolved to Closed
- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 100

This seems to work now.

#8 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
